SQLITE_CHECKPOINT_PASSIVE(3) | Library Functions Manual | SQLITE_CHECKPOINT_PASSIVE(3)

# NAME

SQLITE_CHECKPOINT_PASSIVE, SQLITE_CHECKPOINT_FULL, SQLITE_CHECKPOINT_RESTART, SQLITE_CHECKPOINT_TRUNCATE — Checkpoint Mode Values

# SYNOPSIS

#define SQLITE_CHECKPOINT_PASSIVE
#define SQLITE_CHECKPOINT_FULL
#define SQLITE_CHECKPOINT_RESTART
#define SQLITE_CHECKPOINT_TRUNCATE

# DESCRIPTION

These constants define all valid values for the "checkpoint mode" passed as the third parameter to the sqlite3_wal_checkpoint_v2() interface. See the sqlite3_wal_checkpoint_v2() documentation for details on the meaning of each of these checkpoint modes.

# SEE ALSO

sqlite3_wal_checkpoint_v2(3)

March 11, 2017 | NetBSD 8.2